Skip to main content
GET
/
config
/
tokens
Single Config (token address/chain)
curl --request GET \
  --url https://api.rhino.fi/bridge/config/tokens
{
  "decimals": 123,
  "coingeckoId": "<string>",
  "token": "<string>",
  "address": "<string>",
  "chain": "<string>",
  "maxDepositLimit": 123,
  "maxWithdrawLimit": 123,
  "minAmountUsdInContract": 123
}

Query Parameters

chain
string
required

The blockchain chain identifier (e.g., "ETHEREUM", "ARBITRUM").

tokenAddress
string
required

The token contract address on the specified chain.

Response

ExtendedTokenEntry

decimals
number
required
coingeckoId
string
required
token
string
required

Token symbol or identifier (e.g., "USDT", "ETH").

address
string
required

Contract address of the token on the specified chain.

chain
string
required

Blockchain network identifier (e.g., "ETHEREUM", "BASE").

maxDepositLimit
number

Maximum deposit limit for the token on this chain.

maxWithdrawLimit
number

Maximum withdraw limit for the token on this chain.

minAmountUsdInContract
number

Minimum USD amount required in the contract for this token on this chain.